package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"type", "transformationtype", "subtype", "sinstancename", "name", "dsqinsttype", "dsqinstname", "connectionreference", "attribute"}
)
@XmlRootElement(
   name = "SESSIONEXTENSION"
)
public class SESSIONEXTENSION {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "TYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "SUBTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String subtype;
   @XmlAttribute(
      name = "SINSTANCENAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String sinstancename;
   @XmlAttribute(
      name = "TRANSFORMATIONTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String transformationtype;
   @XmlAttribute(
      name = "DSQINSTNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String dsqinstname;
   @XmlAttribute(
      name = "DSQINSTTYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String dsqinsttype;
   @XmlAttribute(
      name = "COMPONENTVERSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String componentversion;
   @XmlElement(
      name = "CONNECTIONREFERENCE"
   )
   protected List<CONNECTIONREFERENCE> connectionreference;
   @XmlElement(
      name = "ATTRIBUTE"
   )
   protected List<ATTRIBUTE> attribute;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getSUBTYPE() {
      return this.subtype;
   }

   public void setSUBTYPE(String value) {
      this.subtype = value;
   }

   public String getSINSTANCENAME() {
      return this.sinstancename;
   }

   public void setSINSTANCENAME(String value) {
      this.sinstancename = value;
   }

   public String getTRANSFORMATIONTYPE() {
      return this.transformationtype;
   }

   public void setTRANSFORMATIONTYPE(String value) {
      this.transformationtype = value;
   }

   public String getDSQINSTNAME() {
      return this.dsqinstname;
   }

   public void setDSQINSTNAME(String value) {
      this.dsqinstname = value;
   }

   public String getDSQINSTTYPE() {
      return this.dsqinsttype;
   }

   public void setDSQINSTTYPE(String value) {
      this.dsqinsttype = value;
   }

   public String getCOMPONENTVERSION() {
      return this.componentversion;
   }

   public void setCOMPONENTVERSION(String value) {
      this.componentversion = value;
   }

   public List<CONNECTIONREFERENCE> getCONNECTIONREFERENCE() {
      if (this.connectionreference == null) {
         this.connectionreference = new ArrayList();
      }

      return this.connectionreference;
   }

   public List<ATTRIBUTE> getATTRIBUTE() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }
}
